#ifndef STA_WATCHDOG_HPP
#define STA_WATCHDOG_HPP

#include <sta/config.hpp>

#ifdef STA_WATCHDOG_ENABLE

#include <stdint.h>


// Watchdog task flags
//

#define STA_WATCHDOG_FLAG_HEARTBEAT	0x00001000U


namespace sta
{
	void startWatchdogTimer();
	void notifyWatchdog(uint32_t flags);
} // namespace sta


#endif // STA_WATCHDOG_ENABLE

#endif // STA_WATCHDOG_HPP
